@import url(./style.css);

main {
  background-color: var(--blanco);
  border-top: 6px solid var(--gris-claro);
  text-align: center;
}

main h1 {
  text-align: center;
  padding-bottom: 15px;
  border-bottom: 2px solid var(--gris-claro);
  display: inline-block;
  margin: 20px auto;
}

#mates,
#bombillas,
#canastas {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card-container {
  width: 95%;
  max-width: 1200px;
  margin: 40px auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 25px;
  padding: 20px;
}
.contenido-tarjeta h3 {
  display: flex;
  justify-content: center;
}

.tarjeta-servicio {
  background-color: #fff;
  border: 1px solid #222;
  border-radius: 12px;
  padding: 20px;
  width: 250px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  transition:
    transform 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275),
    box-shadow 0.3s ease;
  cursor: pointer;
  position: relative;
  z-index: 1;
}

.tarjeta-servicio:hover {
  transform: scale(1.1);
  z-index: 10;
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.15);
  border-color: #ddd;
}

.imagen-tarjeta {
  width: 100%;
  height: 200px;
  object-fit: contain;
  background-color: #fff;
  margin-bottom: 15px;
}

.contenido-tarjeta {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  width: 100%;
}

.contenido-tarjeta p {
  min-height: 4em;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 10px 0;
}

.contenedor-etiquetas {
  display: flex;
  gap: 5px;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: auto;
  margin-bottom: 20px;
}

.etiqueta {
  background-color: #f1f8e9;
  color: var(--marron);
  padding: 4px 10px;
  border-radius: 6px;
  font-size: 0.89rem;
  font-weight: bold;
  border: 1px solid #dcedc8;
}

.tarjeta-servicio:hover .etiqueta {
  background-color: #333;
  color: #fff;
  border-color: #333;
  transition: all 0.3s ease;
}

#buscador-container {
    display: flex;
    justify-content: center;
    padding: 20px;
}

#buscador {
    width: 40%;
    padding: 10px 20px;
    border: 2px solid var(--gris-claro);
    border-radius: 20px;
    background-color: var(--blanco);
    font-size: 1rem;
    color: var(--verde);
    outline: none;
}

#buscador:focus {
    border-color: var(--verde);
}

#buscador::placeholder {
    color: var(--marron);
    opacity: 0.9;
}
